Skip to main content
GET
/
credits
List credits
curl --request GET \
  --url https://api.togai.com/credits \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/credits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "creds.1znQx9jiIXw.r44fc",
      "customerId": "7VcRw9xZDIqsC5E",
      "accountId": "ACC001",
      "purpose": "Prepaid Credit",
      "effectiveFrom": "2020-07-04",
      "effectiveUntil": "2021-07-04",
      "status": "ACTIVE",
      "creditAmount": 1000,
      "creditUnit": "USD",
      "holdAmount": 500,
      "consumedAmount": 400,
      "priority": 1,
      "createdAt": "2020-07-04T12:00:00.000Z"
    }
  ],
  "nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
id
string
Unique identifier of the credit
account_id
string
Unique identifier of the account associated with the credit
status
enum
Status of the credit
created_at
string
Creation date of the credit
id
string
account_id
string
status
string
created_at
string

Allowed filter combinations

  • id
  • account_id
  • account_id, status
  • account_id, status, created_at
  • account_id, created_at
Fields that can be searched on using _search query param
id
string
Unique identifier of the credits
Fields with which the list response can be sorted using _sort query param
created_at
string
id
string
Default sort order:created_at DESC, id ASC

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

nextToken
string

Pagination token used as a marker to get records from next page.

Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="

status
string

Filter option to filter by status.

account_id
string

Filter option to filter based on account id.

Example:

"1234"

id
string

Filter option to filter based on credit id.

Example:

"cred.1znpoFlsI3U.zmg85"

pageSize
integer

Maximum page size expected by client to return the record list.

NOTE: Max page size cannot be more than 50. Also 50 is the default page size if no value is provided.

Example:

10

Response

Response for Get invoice requests

List credits response

data
object[]
required
Maximum array length: 50
nextToken
string
Maximum string length: 500
Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="